# LineChart
_The Line Chart element visualizes data series as connected line graphs. It plots points on a coordinate system and connects them with lines._

Extends: `Graph`

## Functions

|Method|Returns|Description|
|---|---|---|
|[LineChart.new](#linechart-new)|LineChart|Creates a new LineChart instance|
|[LineChart:init](#linechart-init-props-basalt)|LineChart|Initializes the LineChart instance|
|[LineChart:render](#linechart-render)|-|Renders the LineChart|

## LineChart.new()

Creates a new LineChart instance

### Returns
* `LineChart` `self` The newly created LineChart instance

## LineChart:init(props, basalt)
### Parameters
* `props` `table` The properties to initialize the element with
* `basalt` `table` The basalt instance

### Returns
* `LineChart` `self` The initialized instance

## LineChart:render()